import React from 'react';
import { CustomColor } from "../../../constants/themes/colors";
import { ImgData } from "../../../constants/types/global";
import { TextCustomCssProps } from "../../../utils/style/textStyle";
type ComponentProps = {
    data: {
        title: string;
        desc: string;
        rightImage: ImgData;
        leftImage: ImgData;
    };
    customStyle?: {
        backgroundColor?: CustomColor;
        title?: TextCustomCssProps;
        desc?: TextCustomCssProps;
    };
};
export declare const Banner31: React.FC<ComponentProps>;
export {};
