import React from 'react';
import { CustomColor } from "../../constants/themes/colors";
import { ImgData } from "../../constants/types/global";
import { TextCustomCssProps } from "../../utils/style/textStyle";
import { HocHyperlinkData } from "../../components/Hyperlink/types";
type ComponentProps = {
    data: {
        title: string;
        hyperlink: HocHyperlinkData;
        icon: ImgData;
    };
    customStyle?: {
        backgroundColor?: CustomColor;
        title?: TextCustomCssProps;
        hyperlink?: TextCustomCssProps;
    };
};
export declare const EventBar11: React.FC<ComponentProps>;
export {};
