import { ImgData, ValueOf } from "../../../constants/types/global";
import { HocHyperlinkData } from "../../../components/Hyperlink/types";
import { CustomImageSize } from "../../../components/Image/styledImages";
import { ContentCustomStyle } from '../Item/ContentItem1/types';
export declare const ITEM_LAYOUT: {
    readonly RIGHT: "right";
    readonly RIGHT_ALTERNATING: "rightAlternating";
    readonly LEFT: "left";
    readonly LEFT_ALTERNATING: "leftAlternating";
};
export type ItemLayout = ValueOf<typeof ITEM_LAYOUT>;
export type Item = {
    title: string;
    desc?: string;
    image?: ImgData;
    hyperlink?: HocHyperlinkData;
};
export type Data = Item[];
export type CustomStyle = {
    image?: CustomImageSize;
} & ContentCustomStyle;
