import React from 'react';
import { CustomColor } from "../../../constants/themes/colors";
import { HocButtonData, ButtonStyle } from "../../../components/Button/types";
import { TextCustomCssProps } from "../../../utils/style/textStyle";
type ComponentProps = {
    data: {
        title: string;
        button1?: HocButtonData;
        button2?: HocButtonData;
    };
    customStyle?: {
        background?: {
            color: CustomColor;
        };
        title?: TextCustomCssProps;
        button1?: ButtonStyle;
        button2?: ButtonStyle;
    };
};
export declare const CtaBanner11: React.FC<ComponentProps>;
export {};
